Error while running api call

Hi

i am getting following error when i run my api call .can you please let me know how to resolve the below error.

2019-07-24 07:27:30 ERROR rasa.core.processor - Encountered an exception while running action ‘action_outstanding_amount_preprocess’. Bot will continue, but the actions events are lost. Make sure to fix the exception in your custom code. 2019-07-24 07:27:30 DEBUG rasa.core.processor - Failed to execute custom action. Traceback (most recent call last): File “/u01/app/anaconda3/envs/rasa/lib/python3.6/site-packages/rasa/core/actions/action.py”, line 397, in run json=json_body, method=“post”, timeout=DEFAULT_REQUEST_TIMEOUT File “/u01/app/anaconda3/envs/rasa/lib/python3.6/asyncio/coroutines.py”, line 110, in next return self.gen.send(None) File “/u01/app/anaconda3/envs/rasa/lib/python3.6/site-packages/rasa/utils/endpoints.py”, line 142, in request resp.status, resp.reason, await resp.content.read() rasa.utils.endpoints.ClientResponseError: 500, INTERNAL SERVER ERROR, body=‘b’\n500 Internal Server Error\n

Internal Server Error

\n

The server encountered an internal error and was unable to complete your request. Either the server is overloaded or there is an error in the application.

\n’’

The above exception was the direct cause of the following exception:

Traceback (most recent call last): File “/u01/app/anaconda3/envs/rasa/lib/python3.6/site-packages/rasa/core/processor.py”, line 439, in _run_action events = await action.run(output_channel, nlg, tracker, self.domain) File “/u01/app/anaconda3/envs/rasa/lib/python3.6/asyncio/coroutines.py”, line 110, in next return self.gen.send(None) File “/u01/app/anaconda3/envs/rasa/lib/python3.6/site-packages/rasa/core/actions/action.py”, line 419, in run raise Exception(“Failed to execute custom action.”) from e

My observation: I added Exception case also but it is not working and i also check the url in postman but it is taking < 400000 ms to give back response but my action is not waiting that much time so it is throwing that response down message correct me if i am wrong and also please let me how to solve this case

Thanks

Hi @surya1994 - Were you able to fix this problem. I am facing a similar issue.